<?php
include('InitTest.php');
include_once("../core/Image.php");
include_once("../core/Compute.php");

$image = new Image($App);
$compute = new Compute($App);

// Création image
/*
echo "Création image :</br>";
$opt = Array();
$opt['name'] = "Test";
$opt['tags'] = ['test', 'openstack'];
//$opt['containerFormat'] = 'ami';
//$opt['diskFormat'] = 'iso';
//$opt['visibility'] = 'public';
$opt['minDisk'] = 1;
$opt['protected'] = false;
$opt['minRam'] = 10;

$App->setPostParam('opt', $opt);
$image->action("createImage");
$retCreate = json_decode($App->show(), true)["Images"];
$idNew = $retCreate['id'];
*/




// Liste images
$image->action("listImage");
$im = $App->show();
$images = json_decode($im, true)["Images"];

$res;
echo "List images :</br></br>";
foreach($images as $i){
    $name = $i['name'];
    if(strcmp($name,"Test") == 0)
    {
        $res = $i['id'];
    }
    echo $name."</br>"; // Nom
    echo $i['status']."</br>"; // Status
    $id = $i['id']; // Id
    echo $id."</br>";
    /*foreach ($i['tags'] as $tag) { // Tags
        echo $tag."</br>";
    }*/
    echo "</br>";
 }  

// Delete Image
 /*
$App->setPostParam('id', $res);
$image->action("deleteImage");
*/

/*
// Details images
echo "Détail image :</br>";
$App->setPostParam('id', $id);
$image->action("detailsImage");
$retDetails = json_decode($App->show(), true)["Images"];
echo $retDetails['id']."</br>";
echo "</br>";
*/

/*
// Download image
$App->setPostParam('id', $id);
$image->action("downloadImage");
*/


// Desactivate Images
/*
echo "Desactivate image : </br>";
echo $id."</br>";
$App->setPostParam('id', $id);
$err = $image->action("desactivateImage");
echo "</br>";
*/


// Reactivate Images
/*
echo $id."</br>";
$App->setPostParam('id', $res);
$image->action("reactivateImage");
*/


/*
// Details images
echo "Update image :</br>";
$optUpdate = Array();
$optUpdate['tags'] = ['ciros', 'testUpdate'];
$App->setPostParam('id', $id);
$App->setPostParam('opt', $optUpdate);
$image->action("updateImage");
$retDetails = json_decode($App->show(), true)["Images"];
foreach ($retDetails['tags'] as $tag) { // Tags
        echo $tag."</br>";
}
*/


/*
echo "Flavors: ";
echo "</br>";
$compute->action("listFlavors");
$flavors = json_decode($App->show(), true)["Flavors"];

foreach($flavors as $f){
    echo "Id=".$f['id'].", ";
    echo "name=".$f['name'].", ";
    echo "ram=".$f['ram'].", ";
    echo "disk=".$f['disk'].", ";
    echo "vcpus=".$f['vcpus'];
    echo "</br>";
 }
*/
?>